### Method

# Camel Folder search_body_sync

since: 3.58

#### Declaration [src]

    gboolean
    camel_folder_search_body_sync (
      CamelFolder* folder,
      GPtrArray* words,
      GPtrArray** out_uids,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Search the folder for messages with body containing `words`. The list of satisfying message UIDs is returned in the `out_uids`. The result list can be empty, meaning no such message exists.

Free the returned `out_uids` with g_ptr_array_unref(), when no longer needed.

This is an optional helper method, meant to search server-side. The default implementation returns a G_IO_ERROR_NOT_SUPPORTED error.

Available since: 3.58

#### Parameters

`words`

  Type: An array of `utf8`

  A list of words to search for, or `NULL` to check an existence of the header instead.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`out_uids`

  Type: An array of `utf8`

  A `GPtrArray` of the satisfying message UIDs.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data container, but not the data inside it.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether could search and set the `out_uids`.